## savescummer 0.2-maemo1

=== src/linuxport/Makefile ===
TARGET = savescummer

OFILES = linuxport.o \
	 ../gfxengine.o \
	 ../gfx_sdl.o \
	 ../grammar.o \
	 ../avatar.o \
	 ../ai.o \
	 ../dpdf.o \
	 ../hiscore.o \
	 ../item.o \
	 ../map.o \
	 ../mapdata.o \
	 ../mob.o \
	 ../msg.o \
	 ../panel.o \
	 ../rand.o \
	 ../score.o \
	 ../speed.o \
	 ../text.o \
	 ../worldstate.o \
	 ../glbdef.o

.cpp.o:
	g++ -O3 `sdl-config --cflags` -c $< -o $@

all: $(TARGET)

$(TARGET): $(OFILES)
	g++ -O3 -o $(TARGET) $(OFILES) `sdl-config --libs`

clean:
	rm -f *.o
	rm -f ../*.o
	rm -f $(TARGET)

premake:
	cd .. ; ./support/enummaker/enummaker source.txt
