=== debian/changelog ===
savescummer (0.2-maemo1) unstable; urgency=low

  * Initial release

 -- Aapo Rantalainen <aapo.rantalainen@gmail.com>  Wed, 13 Jul 2011 10:58:40 +0200
