=== debian/control ===
Source: savescummer
Section: user/games
Priority: optional
Maintainer: Aapo Rantalainen <aapo.rantalainen@gmail.com> 
Build-Depends: debhelper (>= 5.0.42), libsdl1.2-dev
Standards-Version: 3.8.1
Homepage: 

Package: savescummer
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Not typical roguelike
