## savescummer 0.2-maemo2

=== debian/changelog ===
savescummer (0.2-maemo2) unstable; urgency=low

  * Initial release
  * optified
  * alphabet.bmp for maemo
  * use /opt/savescummer/save for hiscore and savegames

 -- Aapo Rantalainen <aapo.rantalainen@gmail.com>  Wed, 13 Jul 2011 18:04:40 +0200
