=== debian/rules ===
--- 
+++ 
@@ -59,7 +59,7 @@
 	install -d ${CURDIR}/debian/savescummer/opt/savescummer/bin
 	install -d ${CURDIR}/debian/savescummer/opt/savescummer/rooms
 	install -d ${CURDIR}/debian/savescummer/opt/savescummer/gfx
-	install -d ${CURDIR}/debian/savescummer/opt/savescummer/data
+	install -d ${CURDIR}/debian/savescummer/opt/savescummer/save
 
 
 	#files
